config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
config $NEW
}

config etc/pam.d/environment.new
config etc/pam.d/security/access.conf.new
config etc/pam.d/security/group.conf.new
config etc/pam.d/security/limits.conf.new
config etc/pam.d/security/namespace.conf.new
config etc/pam.d/security/pam_env.conf.new
config etc/pam.d/security/time.conf.new
preserve_perms etc/pam.d/security/namespace.init.new
